# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "said"
version = "2.0.0-beta.8"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Self-Addressing identifier library"
readme = "README.md"
license = "EUPL-1.2"

[features]
file = []
macros = ["sad_macros"]

[lib]
name = "said"
path = "src/lib.rs"

[[bin]]
name = "sai"
path = "src/bin/sai.rs"

[[test]]
name = "derivation_test"
path = "tests/derivation_test.rs"

[[test]]
name = "sad_test"
path = "tests/sad_test.rs"

[[test]]
name = "sad_version_test"
path = "tests/sad_version_test.rs"

[dependencies.base64]
version = "0.22"

[dependencies.blake2]
version = "0.10.6"

[dependencies.blake3]
version = "1"
default-features = false

[dependencies.cesrox]
version = "2.0.0-alpha.3"

[dependencies.clap]
version = "4.5.52"

[dependencies.indexmap]
version = "2.3.0"
features = ["serde"]

[dependencies.nom]
version = "8"

[dependencies.rmp-serde]
version = "1.3"

[dependencies.sad_macros]
version = "0.2.0"
optional = true

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_cbor]
version = "0.11.2"

[dependencies.serde_derive]
version = "1.0.152"

[dependencies.serde_json]
version = "1.0"

[dependencies.sha2]
version = "0.10.9"

[dependencies.sha3]
version = "0.10.8"

[dependencies.thiserror]
version = "2.0"
